.navbar{
    transition: all 0.8s ease-in-out;
    background-color: var(--color-blue);
}
.nav-link:focus, .nav-link:hover {
    color: var(--before-bg);
}
/*.last-nav-item{ transform: translate(0%, -50%); top: 50%;}*/
/*.navbar{ padding-bottom: 450px;}*/
/*.logoEffect{
    transition: all 0.8s ease-in-out;
    transform: translate(-50%, -10dvh);
    width: 450px;
    top: 50dvh;
}*/
.logoStyle{
    width: 176px;
}
.logoPosition{
    position: absolute;
    left: 8px;
    top: 50%;
    transform: translateY(-50%);
}

.nav-pb{ padding-bottom: 50px;}
.dropdown-menu[data-bs-popper] {
    top: 75%;
    left: 0%;
    transform: translate(-0%, -0%);
    border: unset;
}
.dropdown-toggle::after {
    content: "";
    display: inline-block;

    width: 16px;
    height: 16px;

    margin-left: .5rem;
    vertical-align: middle;

    border: none;

    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='white' d='M22.7525 5.39453L12 16.112L1.24755 5.39453L0 6.64614L12 18.6071L24 6.64614L22.7525 5.39453Z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.langDropdownMenu{
    background-color: var(--color-blue);
    top: 50px!important;
    left: 50%!important;
    transform: translate(-25%, -0%)!important;
}
.bookNowEffect{
    padding: 8px 12px;
    /*transition: all 0.8s ease-in-out;*/
}
.bookNowEffectMobile{ transition: all 0.8s ease-in-out}


.langDropdownMenu{
    width: 50px;
}
.dropdown-menu, .dropdown-item { transition: all 0.8s ease-in-out;}
.dropdown-menu.langDropdownMenu { --bs-dropdown-min-width: unset;}
.navbar-nav .nav-link.active, .navbar-nav .nav-link.show { color: white;}

.last-nav-item>.nav-link::before{
    content: unset!important;
}

@media (max-width: 991px) {
    .nav-divider-bottom{
        border-bottom: var(--color-white-beige) 1px solid;
        width: calc(100% + var(--padding-nav-collpase-val) * 2);
        margin: 0px calc(0px - var(--padding-nav-collpase-val))
    }
    .nav-link:focus, .nav-link:hover { color: white;}
    .navbar-nav .nav-link.active, .navbar-nav .nav-link.show { color: black;}
    .navbar-nav{ height: 100%;}
    .nav-pb{ padding-bottom: 30px;}
    .navbar-collapse {
        position: fixed; /* fissa la navbar sopra tutto */
        top: 0px;
        left: 0;
        width: 100%;
        height: 100dvh; /* altezza piena dello schermo */
        transition: height 0.3s ease-in-out;
        background-color: var(--color-blue); /* o il colore della navbar */
        padding: var(--padding-nav-collpase-val);
        overflow-y: auto; /* se hai tanti link */
        z-index: 1050; /* sopra tutto */

        transition: opacity 0.3s ease, visibility 0.3s ease;
        opacity: 0;
        visibility: hidden;

        flex-direction: column;
        align-items: start;
    }
    .navbar-collapse-header{ height: 96.5px;}
    .dropdown-menu[data-bs-popper] {transform: translate(-0%, -0%);}
    .navbar-collapse.show {
        display: flex;
        opacity: 1;
        visibility: visible;
    }
    .nav-brand {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    /*.last-nav-item {
        position: absolute;
        text-align: center;
        right: 0;

        width: 100%!important;
        height: auto;
        display: flex;
        justify-content: center;
        align-items: end;
        margin-left: unset;
        margin-top: auto;
        top: unset;
        bottom: 0;
    }*/
    .mobile-navbar-item{ /*width: 118px;*/ padding: 16px 24px;}
    .mobile-navbar-item .navbar-toggler{margin-left: calc(2rem - 12px);}
    .logoMobileContainer{ width: 176px; height: 77px;}
    /*.logoMobile{
        transition: all 0.8s ease-in-out;
        top: 50dvh;
        left: 50%;
        transform: translate(-50%, -10dvh);
        width: 300px;
    }*/
    .bookNowEffect{
        display: block;
        width: fit-content!important;
        background-color: var(--color-sand)!important;
        color: var(--color-blue)!important;
    }
    .navbar-nav>.nav-item{ margin-bottom: 24px;}
    .dropdown-menu{ border: 0;}

    .navbar .nav-link, .dropdown-item, .dropdown-toggle{
        font-family: "Quattrocento", serif;
        font-size: 30px;
        line-height: 150%;
        letter-spacing: -0.03em;
        margin-bottom: 0;
        font-weight: bold;
    }

    .langDropdownMenu{
        top: 60px!important;
        left: 50%!important;
        transform: translate(-50%, -0%)!important;
    }

    .navbar .nav-link::before, .dropdown-item::before { bottom: -8px!important;}
}
@media (min-width: 992px) {
    .bookNowNavMargin{
        margin-left: auto;
        margin-right: 8px;
    }
    .langDropdown{
        position: absolute;
        width: 30px!important;
        right: 65px;
    }
    .navbar-nav>.nav-item{
        width: 190px;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .navbar-nav>.nav-item.navigationItem{
        width: fit-content;
        margin: 0px 8px;
        max-width: 200px;
    }
    .book-now-btn { text-align: start;}
    .nav-link{ color: white; transition: all 0.8s ease-in-out;}
    .d-xl-textBlack { color: black;}
}
@media (min-width: 1400px) {
    .bookNowNavMargin{ margin-right: 88px;}
    .hiddenItem, .logoPosition{ margin-left: 88px;}
    .navbar-nav>.nav-item.navigationItem{
        width: fit-content;
        margin: 0px 20px;
        max-width: unset;
    }
}
@media (min-width: 1500px) {
    .navbar-nav>.nav-item.navigationItem{
        width: fit-content;
        margin: 0px 40px;
        max-width: unset;
    }
}

.navbar-toggler{ color: white; transition: all 0.8s ease-in-out;}
.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: none;
}

/*.navbar-toggler {*/
/*  padding: var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);*/
/*  font-size: var(--bs-navbar-toggler-font-size);*/
/*  line-height: 1;*/
/*  color: var(--bs-navbar-color);*/
/*  background-color: transparent;*/
/*  border: none;*/
/*  border-radius: none;*/
/*  transition: var(--bs-navbar-toggler-transition);*/
/*}*/

.navbar .nav-link, .dropdown-item {
    position: relative;
    display: inline;
    background-color: unset;
}
.dropdown-item:focus, .dropdown-item:hover {
    color: black;
    background-color: transparent;
}

.navbar .nav-link::before, .dropdown-item::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0; /* o qualche pixel più in basso se vuoi spazio */
  width: 0;
  height: 2px; /* spessore della barra */
  background-color: var(--before-bg); /* usa il colore del testo */
  transition: width 0.3s ease, left 0.3s ease;
}

.navbar .nav-link:hover::before,
.navbar .nav-link.selected::before,
.dropdown-item:hover::before
{
    width: 100%;
    background-color: white;
    color: white;
}

.navbar .nav-link.active-hover-white::before { background-color: white;}
.dropdown-item.active-hover-white::before { background-color: white;}
.navbar .nav-link.active-hover-black::before { background-color: white;}
.dropdown-item.active-hover-black::before { background-color: white;}

/*.nav-link{*/

/*  text-align: center;*/
/*  padding: 0px 0px 4px 0px !important;*/
/*}*/

/*!* .navbar-nav>.nav-item:last-child{*/

/*} *!*/

/*.navCloser{*/
/*  border: 1px solid black;*/
/*  border-radius: 24px;*/
/*  padding: 8px 20px;*/
/*  font-size: 15px;*/
/*  font-weight: 600;*/
/*  width: fit-content;*/
/*}*/

/*.langBtn{*/
/*  border: none;*/
/*  background-color: transparent;*/
/*  font-size: 4vw;*/
/*  margin-bottom: 4px;*/
/*  color: var(--gray-mediumN);*/
/*}*/
/*.langBtn.selected{ color: black;}*/

/*.nav-item, .nav-link, .dropdown-item{ font-size: 8vw;}*/

/*.mobileNav{ color: var(--gray-medium)!important;}*/

/*.langContainer{*/
/*  margin-top: 5vh;*/
/*}*/


/*.dropdown-toggle::before {*/
/*  margin-left: 0;*/
/*  content: "";*/
/*  border-top: 0;*/
/*  border-right: 0;*/
/*  border-bottom: 0;*/
/*  border-left: 0;*/
/*}*/
/*.dropdown-menu{*/
/*  border: 0;*/
/*}*/
/*.dropdown-item.active, .dropdown-item:active {*/
/*  text-decoration: none;*/
/*  background-color: unset;*/
/*}*/
/*.dropdown-item.selected {*/
/*  text-decoration: none;*/
/*  background-color: antiquewhite;*/
/*}*/
/*.dropdown-item{ padding-left: 12px;}*/

/*.logo-mobile-container, .logo-mobile-container>img{*/
/*  height: 50px;*/
/*}*/

/*@media (min-width: 500px) {*/
/*  .nav-item, .nav-link, .dropdown-item{ font-size: 6vw;}*/
/*}*/
/*@media (min-width: 576px) {*/
/*  .nav-item, .nav-link, .dropdown-item{ font-size: 4vw;}*/
/*}*/
/*@media (min-width: 768px) {*/
/*  .langBtn, .nav-item, .nav-link, .dropdown-item{ font-size: 3vw;}*/
/*}*/
/*@media (min-width: 992px) {*/
/*    .navbar-expand-lg .navbar-collapse {*/
/*        display: none !important;*/
/*        flex-basis: auto;*/
/*    }*/
/*  .langBtn, .nav-item, .nav-link, .dropdown-item{ font-size: 1vw;}*/
/*}*/
/*@media (max-width: 992px) {*/
/*  .mobileLogo { display: block!important;}*/
/*  .btnContainer{*/
/*    height: calc(100vh - 304px);*/
/*  }*/
/*}*/

/*.myNavbar {*/
/*  transition: top 0.3s;*/
/*}*/

/*.myNavbar.hide {*/
/*  top: -110px; !* nascondi (metti altezza = altezza navbar) *!*/
/*}*/



/*.dropdown-toggle::before {*/
/*    content: ""!important;*/
/*}*/
